* {
  box-sizing: border-box;
}

html {
  font-family: sans-serif;
  background: #fff;
}

body {
  margin: 0;
  font-family: "Roboto", sans-serif;
  display: flex;
  /* align-items: center; */
  justify-content: center;
  min-height: 100vh;
  padding: 2rem;
}

main {
  margin-top: 6rem;
}

.squares {
  background: #272727;
  border: none;
  font-size: 5rem;
  /* font-weight: 800; */
  cursor: pointer;
  outline: none;
}

.h1 {
  justify-content: center;
}

.X {
  color: rgb(0, 174, 255);
}
.O {
  color: green;
}

.board {
  border: 1rem solid #741188;
  background: #741188;
  width: 500px;
  height: 500px;
  display: grid;
  grid-template: repeat(3, 1fr) / repeat(3, 1fr);
  gap: 1rem;
}

.info-wrapper {
  display: flex;
  justify-content: space-between;
}

.link {
  font: inherit;
  border: 1px solid #4f005f;
  background: #4f005f;
  color: white;
  padding: 0.75rem 3.5rem;
  cursor: pointer;
  font-size: 1.15rem;
  border-radius: 30px;
  text-decoration: none;
  margin-bottom: 24px;
}

.link:hover,
.link:active {
  background: #741188;
  border-color: #741188;
  color: white;
}

.link:focus {
  outline: none;
}

link:disabled,
link:focus:disabled,
link:hover:disabled,
link:active:disabled {
  background: #ccc;
  border-color: #ccc;
  color: #666666;
  cursor: not-allowed;
}

.no-bullets {
  list-style-type: none;
  margin: 3px;
}

/* game board css */

.App {
  font-family: sans-serif;
}

.Board {
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  /* justify-content: space-around; */
}

.Board .Board_money {
  background-color: #741188;
  color: white;
  padding: 22px;
  margin: 3px;
  height: 6rem;
  width: 11rem;
  font-size: 18px;
  font-family: cursive;
  border-radius: 12px;
  text-align: center;
  cursor: pointer;
}

.Popup {
  position: fixed;
  top: 50%;
  left: 50%;
  background-color: whitesmoke;
  padding: 32px;
  /* border-radius: 12px; */
  transform: translate(-50%, -50%);
}

.Overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100vw;
  height: 100vh;
  background-color: black;
  opacity: 1;
}

.answer {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: black;
  opacity: 1;
}

.text-hidden {
  background-color: beige;
  color: #741188;
  padding: 22px;
  margin: 3px;
  height: 6rem;
  width: 11rem;
  font-size: 18px;
  font-family: cursive;
  border-radius: 12px;
  text-align: center;
}

.reset_btn {
  font-size: 1.5rem;
  margin-top: 20px;
}
.reset_div {
  display: grid;
  justify-content: center;
}

.loading {
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.7);
  display: flex;
  justify-content: center;
  align-items: center;
}

.dbtn {
  font: inherit;
  border: 1px solid #4f005f;
  background: #4f005f;
  color: white;
  padding: 0.75rem 3.5rem;
  cursor: pointer;
  font-size: 1.15rem;
  border-radius: 10px;
  display: inline-flex;
  margin-left: 15rem;
}
.centered {
  margin: 3rem auto;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
}
